Bug 175161 - rhgb started before /usr/lib mounted
rhgb started before /usr/lib mounted
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-06 20:20 EST by n0dalus
Modified: 2014-03-16 22:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-07 10:03:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description n0dalus 2005-12-06 20:20:01 EST
Description of problem:
Currently rc.sysinit checks for the presence of /usr/bin/rhgb, but not it's
required libraries in /usr/lib. If /usr/lib is a separate partition, but
/usr/bin is not, this causes rhgb to fail and lots of calls to rhgb-client to fail.

Version-Release number of selected component (if applicable):
initscripts-8.18-1

Files containing problems:
/etc/rc.d/rc.sysinit
/etc/rc.d/rc
/etc/init.d/functions

Actual results:
rhgb fails, lots of error messages like: /usr/bin/rhgb-client: error while
loading shared libraries: libglib-2.0.so.0: cannot open shared object file: No
such file or directory

Expected results:
If possible, rc.sysinit and the other scripts should check to see that /usr/lib
is mounted when checking to see if /usr/bin/rhgb* exists and before trying to
run them. Later in rc.sysinit there is a bit of code to re-attempt the running
of rhgb.
At the very least, the failure to start rhgb should be noted and the scripts
should be able to avoid most of the subsequent error messages.

Additional info:
I realize that have a separate partition for /usr/lib is probably unusual, but
it would still be nice to see this fixed.
Comment 1 Bill Nottingham 2005-12-07 10:03:36 EST
/usr/bin and /usr/lib really need to be on the same partition; I don't think
otherwise is supported in many areas, not just in rhgb.

Note You need to log in before you can comment on or make changes to this bug.